> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate a Keypad Code Entry

> Simulates the entry of a code on a keypad. You can only perform this action for [August](https://docs.seam.co/device-and-system-integration-guides/august-locks) devices within [sandbox workspaces](https://docs.seam.co/core-concepts/workspaces#sandbox-workspaces).



## OpenAPI

````yaml /openapi.json post /locks/simulate/keypad_code_entry
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /locks/simulate/keypad_code_entry:
    post:
      tags:
        - /locks
      summary: Simulate a Keypad Code Entry
      description: >-
        Simulates the entry of a code on a keypad. You can only perform this
        action for
        [August](https://docs.seam.co/device-and-system-integration-guides/august-locks)
        devices within [sandbox
        workspaces](https://docs.seam.co/core-concepts/workspaces#sandbox-workspaces).
      operationId: locksSimulateKeypadCodeEntryPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                code:
                  description: Code that you want to simulate entering on a keypad.
                  type: string
                device_id:
                  description: >-
                    ID of the device for which you want to simulate a keypad
                    code entry.
                  format: uuid
                  type: string
              required:
                - device_id
                - code
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  action_attempt:
                    type: object
                    description: >-
                      Tracks the progress of this operation. Poll using the
                      action_attempt_id.
                    properties:
                      action_attempt_id:
                        type: string
                        format: uuid
                        description: ID of the action attempt.
                      action_type:
                        type: string
                        enum:
                          - SIMULATE_KEYPAD_CODE_ENTRY
                        description: Type of action being tracked.
                      status:
                        type: string
                        enum:
                          - pending
                          - success
                          - error
                        description: Current status of the action.
                      result:
                        type: object
                        nullable: true
                        description: Result payload on success.
                      error:
                        type: object
                        nullable: true
                        description: Error details on failure.
                        properties:
                          type:
                            type: string
                          message:
                            type: string
                    required:
                      - action_attempt_id
                      - action_type
                      - status
                  ok:
                    type: boolean
                required:
                  - action_attempt
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.locks.simulate.keypadCodeEntry({
              device_id: "97a7a706-05a9-405c-91e5-b03e5b9c2003",
              code: "1234",
            });

            /*
            {
              "action_attempt_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
              "action_type": "SIMULATE_KEYPAD_CODE_ENTRY",
              "error": null,
              "result": {},
              "status": "success"
            }
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/locks/simulate/keypad_code_entry" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "device_id": "97a7a706-05a9-405c-91e5-b03e5b9c2003",
              "code": "1234"
            }

            EOF


            # Response:

            # {

            #   "action_attempt": {

            #     "action_attempt_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",

            #     "action_type": "SIMULATE_KEYPAD_CODE_ENTRY",

            #     "error": null,

            #     "result": {},

            #     "status": "success"

            #   }

            # }
        - lang: python
          label: Seam SDK
          source: |-
            seam.locks.simulate.keypad_code_entry(
                device_id="97a7a706-05a9-405c-91e5-b03e5b9c2003", code="1234"
            )

            # ActionAttempt(
                action_attempt_id="9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
                action_type="SIMULATE_KEYPAD_CODE_ENTRY",
                error=None,
                result={},
                status="success",
            )
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.locks.simulate.keypad_code_entry(
              device_id: "97a7a706-05a9-405c-91e5-b03e5b9c2003",
              code: "1234",
            )

            # => {
              "action_attempt_id" => "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
              "action_type" => "SIMULATE_KEYPAD_CODE_ENTRY",
              "error" => nil,
              "result" => {
              },
              "status" => "success",
            }
        - lang: php
          label: Seam SDK
          source: |-
            $seam->locks->simulate->keypad_code_entry(
                device_id: "97a7a706-05a9-405c-91e5-b03e5b9c2003",
                code: "1234",
            );

            // [
                "action_attempt_id" => "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",
                "action_type" => "SIMULATE_KEYPAD_CODE_ENTRY",
                "error" => null,
                "result" => [],
                "status" => "success",
            ];
        - lang: bash
          label: Seam CLI
          source: >-
            seam locks simulate keypad-code-entry --device_id
            "97a7a706-05a9-405c-91e5-b03e5b9c2003" --code "1234"


            # {

            #   "action_attempt_id": "9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d",

            #   "action_type": "SIMULATE_KEYPAD_CODE_ENTRY",

            #   "error": null,

            #   "result": {},

            #   "status": "success"

            # }
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````